from abc import ABC, abstractmethod
from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from pystac import Item


class Backend(ABC):
    def __repr__(self) -> str:
        return f"<{self.__class__.__name__}>"

    @abstractmethod
    def register(self, item: 'Item'):
        ...

    @abstractmethod
    def deregister(self, item: 'Item') -> str:
        ...
